searchNodes=[{"doc":"Official Mux API wrapper for Elixir projects, supporting both Mux Data and Mux Video. Mux Video is an API-first platform, powered by data and designed by video experts to make beautiful video possible for every development team. Mux Data is a platform for monitoring your video streaming performance with just a few lines of code. Get in-depth quality of service analytics on web, mobile, and OTT devices. Not familiar with Mux? Check out https://mux.com/ for more information. Installation Add mux to your list of dependencies in mix.exs: def deps do [ {:mux, &quot;~&gt; 3.0.0&quot;} ] end Quickstart We&#39;ll put our access token in our application configuration. # config/dev.exs config :mux, access_token_id: &quot;abcd1234&quot;, access_token_secret: &quot;efghijkl&quot; Then use this config to initialize a new client in your application. client = Mux.client() You can also pass the access token ID and secret directly to client/2 function if you&#39;d prefer: client = Mux.client(&quot;access_token_id&quot;, &quot;access_token_secret&quot;) Now we can use the client to do anything your heart desires (to do with the Mux API). From here we can create new videos, manage playback IDs, etc. {:ok, asset, raw_env} = Mux.Video.Assets.create(client, %{input: &quot;https://example.com/video.mp4&quot;}); Every successful response will come back with a 3 item tuple starting with :ok. The second item is whatever&#39;s in the data key, which will typically be the the item you were interacting with. In the example above, it&#39;s a single asset. The third item is the raw Tesla Env, which is basically the raw response object. This can be useful if you want to get to metadata we include, such as the timeframe used or the total row count returned, or if you just want to get to headers such as the request ID for support reasons. Usage in Phoenix Creating a new client before making a request is simple, but you may not want to do it every single time you need to use a function in a controller. We suggest using action/2 to initialize the client and pass that to each of the controller functions. def action(conn, _) do mux_client = Mux.client() # or Mux.client(&quot;access_token_id&quot;, &quot;access_token_secret&quot;) args = [conn, conn.params, mux_client] apply(__MODULE__, action_name(conn), args) end def create(conn, params, mux_client) do # ... {:ok, asset, _} = mux_client |&gt; Mux.Video.Assets.create(%{input: &quot;http://example.com/input.mp4&quot;}) # ... end Verifying Webhook Signatures in Phoenix Note that when calling Mux.Webhooks.verify_header/3 in Phoenix you will need to pass in the raw request body, not the parsed JSON. Phoenix has a nice solution for doing this example. Read more about verifying webhook signatures in our guide defmodule MyAppWeb.BodyReader do def read_body(conn, opts) do {:ok, body, conn} = Plug.Conn.read_body(conn, opts) conn = update_in(conn.assigns[:raw_body], &amp;[body | &amp;1 || []]) {:ok, body, conn} end end # endpoint.ex plug Plug.Parsers, parsers: [:urlencoded, :multipart, :json], pass: [&quot;*/*&quot;], body_reader: {MyAppWeb.BodyReader, :read_body, []}, json_decoder: Phoenix.json_library() # controller signature_header = List.first(get_req_header(conn, &quot;mux-signature&quot;)) raw_body = List.first(conn.assigns.raw_body) Mux.Webhooks.verify_header(raw_body, signature_header, secret) You will most likely have to store the raw body before it gets parsed and then extract it later and pass it into Mux.Webhooks.verify_header/3","ref":"Mux.html","title":"Mux","type":"module"},{"doc":"Same as Mux.client/3, but will attempt to pull your access token ID and secret from the application configuration. Returns %Tesla.Client{}. Examples iex&gt; Application.put_env(:mux, :access_token_id, &quot;my_token_id&quot;) iex&gt; Application.put_env(:mux, :access_token_secret, &quot;my_token_secret&quot;) iex&gt; Mux.client() %Tesla.Client{ fun: nil, post: [], pre: [ {Tesla.Middleware.BaseUrl, :call, [&quot;https://api.mux.com&quot;]}, {Tesla.Middleware.BasicAuth, :call, [%{password: &quot;my_token_secret&quot;, username: &quot;my_token_id&quot;}]} ] }","ref":"Mux.html#client/1","title":"Mux.client/1","type":"function"},{"doc":"Creates a new connection struct that takes an access token ID and secret, as well as params. Returns %Tesla.Client{}. Examples iex&gt; Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) %Tesla.Client{ fun: nil, post: [], pre: [ {Tesla.Middleware.BaseUrl, :call, [&quot;https://api.mux.com&quot;]}, {Tesla.Middleware.BasicAuth, :call, [%{password: &quot;my_token_secret&quot;, username: &quot;my_token_id&quot;}]} ] }","ref":"Mux.html#client/3","title":"Mux.client/3","type":"function"},{"doc":"This module provides helpers for working with Playback IDs with signed playback policies. API Documentation","ref":"Mux.Token.html","title":"Mux.Token","type":"module"},{"doc":"Create a signed URL token for a playback ID. options object can include: options.token_id: Signing token ID (defaults to Application.get_env(:mux, :signing_token_id)) options.token_secret: Signing token secret (defaults to Application.get_env(:mux, :signing_token_secret)) options.type: Type of signature to create. Defaults to :video, options are: :video, :gif, :thumbnail, :storyboard options.expiration: Seconds the token is valid for. Defaults to 7 days from now (604,800) options.params: Map that includes any additional query params. For thumbnails this would be values like height or time. This method has been deprecated in favor of Mux.Token.sign_playback_id","ref":"Mux.Token.html#sign/2","title":"Mux.Token.sign/2","type":"function"},{"doc":"Create a signed URL token for a playback ID. options object can include: options.token_id: Signing token ID (defaults to Application.get_env(:mux, :signing_token_id)) options.token_secret: Signing token secret (defaults to Application.get_env(:mux, :signing_token_secret)) options.type: Type of signature to create. Defaults to :video, options are: :video, :gif, :thumbnail, :storyboard options.expiration: Seconds the token is valid for. Defaults to 7 days from now (604,800) options.params: Map that includes any additional query params. For thumbnails this would be values like height or time.","ref":"Mux.Token.html#sign_playback_id/2","title":"Mux.Token.sign_playback_id/2","type":"function"},{"doc":"Create a signed URL token for a Space ID. options object can include: options.token_id: Signing token ID (defaults to Application.get_env(:mux, :signing_token_id)) options.token_secret: Signing token secret (defaults to Application.get_env(:mux, :signing_token_secret)) options.expiration: Seconds the token is valid for. Defaults to 7 days from now (604,800) options.params: Map that includes any additional query params. For thumbnails this would be values like height or time.","ref":"Mux.Token.html#sign_space_id/2","title":"Mux.Token.sign_space_id/2","type":"function"},{"doc":"","ref":"Mux.Token.html#verify/2","title":"Mux.Token.verify/2","type":"function"},{"doc":"","ref":"Mux.Token.html#t:option/0","title":"Mux.Token.option/0","type":"type"},{"doc":"","ref":"Mux.Token.html#t:options/0","title":"Mux.Token.options/0","type":"type"},{"doc":"","ref":"Mux.Token.html#t:signature_type/0","title":"Mux.Token.signature_type/0","type":"type"},{"doc":"This module provides a function for verifying webhook signatures","ref":"Mux.Webhooks.html","title":"Mux.Webhooks","type":"module"},{"doc":"","ref":"Mux.Webhooks.html#compute_signature/2","title":"Mux.Webhooks.compute_signature/2","type":"function"},{"doc":"Verifies a webhook signature. Pass in the raw request body, the signature header that came with the webhook request (&#39;Mux-Signature&#39;) and the webhook &quot;secret&quot; from your webhooks dashboard. Note that the webhook secret is different than your API secret. Returns :ok. Or a tuple with {:error, &quot;message&quot;} Examples iex&gt; Mux.Webhooks.verify_header(raw_request_body, signature_header, secret) :ok","ref":"Mux.Webhooks.html#verify_header/4","title":"Mux.Webhooks.verify_header/4","type":"function"},{"doc":"This module provides a utility function for generating valid signatures. You are encouraged to use it for testing how your application behaves against malicious requests.","ref":"Mux.Webhooks.TestUtils.html","title":"Mux.Webhooks.TestUtils","type":"module"},{"doc":"","ref":"Mux.Webhooks.TestUtils.html#compute_signature/2","title":"Mux.Webhooks.TestUtils.compute_signature/2","type":"function"},{"doc":"Generates a webhook signature. Pass in the raw request body and the webhook &quot;secret&quot;. You may also pass in the desired signature scheme. Currently, the only valid signature scheme is &quot;v1&quot;, which is also the default one if not set explicitly. Any invalid signature scheme will fall back to the default. Note that this function is intended for testing against malformed or malicious webhook requests, so you should use a fake webhook &quot;secret&quot;. Returns the relevant HTTP header value as a string. Examples iex&gt; signature = Mux.Webhooks.TestUtils.generate_signature(&quot;payload&quot;, &quot;SuperSecret123&quot;) &quot;t=1591664030,v1=e43496b6aae982c4c2fd6f8e92935f1d90216f1f64d56024e72390acfb988272&quot; iex&gt; Mux.Webhooks.verify_header(&quot;payload&quot;, signature, &quot;SuperSecret123&quot;) :ok","ref":"Mux.Webhooks.TestUtils.html#generate_signature/3","title":"Mux.Webhooks.TestUtils.generate_signature/3","type":"function"},{"doc":"This module includes functions for retrieving available dimensions and their values in our system. These endpoints, for example, are used to construct the breakdown tables in the metrics UI. API Documentation","ref":"Mux.Data.Dimensions.html","title":"Mux.Data.Dimensions","type":"module"},{"doc":"Lists the values for a specific dimension along with a total count of related views. Returns {:ok, dimensions, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, dimensions, _env} = Mux.Data.Dimensions.get(client, &quot;browser&quot;) iex&gt; dimensions [%{&quot;total_count&quot; =&gt; 2, &quot;value&quot; =&gt; &quot;Safari&quot;}, %{&quot;total_count&quot; =&gt; 1, &quot;value&quot; =&gt; &quot;Chrome&quot;}]","ref":"Mux.Data.Dimensions.html#get/3","title":"Mux.Data.Dimensions.get/3","type":"function"},{"doc":"Lists all the dimensions broken out into basic and advanced. Returns {:ok, dimensions, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, dimensions, _env} = Mux.Data.Dimensions.list(client) iex&gt; dimensions %{&quot;advanced&quot; =&gt; [&quot;asn&quot;, &quot;browser_version&quot;, &quot;cdn&quot;, &quot;experiment_name&quot;, &quot;operating_system_version&quot;, &quot;player_name&quot;, &quot;player_version&quot;, &quot;preroll_ad_asset_hostname&quot;, &quot;preroll_ad_tag_hostname&quot;, &quot;preroll_played&quot;, &quot;preroll_requested&quot;, &quot;sub_property_id&quot;, &quot;video_series&quot;], &quot;basic&quot; =&gt; [&quot;browser&quot;, &quot;country&quot;, &quot;operating_system&quot;, &quot;player_software&quot;, &quot;player_software_version&quot;, &quot;source_hostname&quot;, &quot;source_type&quot;, &quot;stream_type&quot;, &quot;video_title&quot;]}","ref":"Mux.Data.Dimensions.html#list/1","title":"Mux.Data.Dimensions.list/1","type":"function"},{"doc":"This module provides functions for working with playback errors, which is typically an error thrown by the player that caused playback failure. API Documentation.","ref":"Mux.Data.Errors.html","title":"Mux.Data.Errors","type":"module"},{"doc":"Returns a list of playback errors along with details and statistics about them. Returns {:ok, errors, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, errors, _env} = Mux.Data.Errors.list(client) iex&gt; errors [%{&quot;code&quot; =&gt; 1, &quot;count&quot; =&gt; 2, &quot;description&quot; =&gt; &quot;If we&#39;re going to understand this error, first we need to understand life itself.&quot;, &quot;id&quot; =&gt; 1121, &quot;last_seen&quot; =&gt; &quot;2018-01-20T01:18:48.054Z&quot;, &quot;message&quot; =&gt; &quot;This is a message for this crazy error&quot;, &quot;notes&quot; =&gt; &quot;This is a really crazy note&quot;, &quot;percentage&quot; =&gt; 0.6666666666666666}, %{&quot;code&quot; =&gt; 3, &quot;count&quot; =&gt; 1, &quot;description&quot; =&gt; &quot;If we&#39;re going to understand this error, first we need to understand life itself.&quot;, &quot;id&quot; =&gt; 1120, &quot;last_seen&quot; =&gt; &quot;2018-01-19T23:18:48.054Z&quot;, &quot;message&quot; =&gt; &quot;This is a message for this crazy error&quot;, &quot;notes&quot; =&gt; &quot;This is a really crazy note&quot;, &quot;percentage&quot; =&gt; 0.3333333333333333}] iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, errors, _env} = Mux.Data.Errors.list(client, filters: [&quot;operating_system:windows&quot;], timeframe: [&quot;24:hours&quot;]) iex&gt; errors [%{&quot;code&quot; =&gt; 1, &quot;count&quot; =&gt; 2, &quot;description&quot; =&gt; &quot;If we&#39;re going to understand this error, first we need to understand life itself.&quot;, &quot;id&quot; =&gt; 1121, &quot;last_seen&quot; =&gt; &quot;2018-01-20T01:18:48.054Z&quot;, &quot;message&quot; =&gt; &quot;This is a message for this crazy error&quot;, &quot;notes&quot; =&gt; &quot;This is a really crazy note&quot;, &quot;percentage&quot; =&gt; 0.6666666666666666}, %{&quot;code&quot; =&gt; 3, &quot;count&quot; =&gt; 1, &quot;description&quot; =&gt; &quot;If we&#39;re going to understand this error, first we need to understand life itself.&quot;, &quot;id&quot; =&gt; 1120, &quot;last_seen&quot; =&gt; &quot;2018-01-19T23:18:48.054Z&quot;, &quot;message&quot; =&gt; &quot;This is a message for this crazy error&quot;, &quot;notes&quot; =&gt; &quot;This is a really crazy note&quot;, &quot;percentage&quot; =&gt; 0.3333333333333333}]","ref":"Mux.Data.Errors.html#list/2","title":"Mux.Data.Errors.list/2","type":"function"},{"doc":"This module provides functions for accessing lists of data exports. Currently the only exports available are raw video views. API Documentation Note: These endpoints require that your plan has access to specific features. Reach out to us if you have questions.","ref":"Mux.Data.Exports.html","title":"Mux.Data.Exports","type":"module"},{"doc":"Lists the available video view exports along with URLs to retrieve them. This method has been deprecated in favor of Data.Exports.list_view_exports. Returns {:ok, exports, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, exports, _env} = Mux.Data.Exports.list(client) iex&gt; exports [&quot;https://s3.amazonaws.com/mux-data-exports-test/10942/2017_10_1.csv.gz?signature=asdf1234&quot;, &quot;https://s3.amazonaws.com/mux-data-exports-test/10942/2017_10_2.csv.gz?signature=asdf1234&quot;]","ref":"Mux.Data.Exports.html#list/1","title":"Mux.Data.Exports.list/1","type":"function"},{"doc":"Lists the available video view exports along with URLs to retrieve them. Returns {:ok, exports, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, exports, _env} = Mux.Data.Exports.list_view_exports(client) iex&gt; exports [%{&quot;export_date&quot; =&gt; &quot;2021-01-03&quot;, &quot;files&quot; =&gt; [%{&quot;path&quot; =&gt; &quot;https://s3.amazonaws.com/mux-data-exports/1/2021_01_03.csv.gz?...signature...&quot;, &quot;type&quot; =&gt; &quot;csv&quot;, &quot;version&quot; =&gt; 2}]}, %{&quot;export_date&quot; =&gt; &quot;2021-01-02&quot;, &quot;files&quot; =&gt; [%{&quot;path&quot; =&gt; &quot;https://s3.amazonaws.com/mux-data-exports/1/2021_01_02.csv.gz?...signature...&quot;, &quot;type&quot; =&gt; &quot;csv&quot;, &quot;version&quot; =&gt; 2}]}, %{&quot;export_date&quot; =&gt; &quot;2021-01-01&quot;, &quot;files&quot; =&gt; [%{&quot;path&quot; =&gt; &quot;https://s3.amazonaws.com/mux-data-exports/1/2021_01_01.csv.gz?...signature...&quot;, &quot;type&quot; =&gt; &quot;csv&quot;, &quot;version&quot; =&gt; 2}]}]","ref":"Mux.Data.Exports.html#list_view_exports/1","title":"Mux.Data.Exports.list_view_exports/1","type":"function"},{"doc":"This module includes functions for retrieving available filters and their values in our system. These endpoints, for example, are used to construct the breakdown tables in the metrics UI. API Documentation This module has been deprecated in favor of Data.Dimensions.","ref":"Mux.Data.Filters.html","title":"Mux.Data.Filters","type":"module"},{"doc":"Lists the values for a specific filter along with a total count of related views. This method has been deprecated in favor of Data.Dimensions.get. Returns {:ok, filters, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, filters, _env} = Mux.Data.Filters.get(client, &quot;browser&quot;) iex&gt; filters [%{&quot;total_count&quot; =&gt; 2, &quot;value&quot; =&gt; &quot;Safari&quot;}, %{&quot;total_count&quot; =&gt; 1, &quot;value&quot; =&gt; &quot;Chrome&quot;}]","ref":"Mux.Data.Filters.html#get/3","title":"Mux.Data.Filters.get/3","type":"function"},{"doc":"Lists all the filters broken out into basic and advanced. This method has been deprecated in favor of Data.Dimensions.list. Returns {:ok, filters, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, filters, _env} = Mux.Data.Filters.list(client) iex&gt; filters %{&quot;advanced&quot; =&gt; [&quot;asn&quot;, &quot;browser_version&quot;, &quot;cdn&quot;, &quot;experiment_name&quot;, &quot;operating_system_version&quot;, &quot;player_name&quot;, &quot;player_version&quot;, &quot;preroll_ad_asset_hostname&quot;, &quot;preroll_ad_tag_hostname&quot;, &quot;preroll_played&quot;, &quot;preroll_requested&quot;, &quot;sub_property_id&quot;, &quot;video_series&quot;], &quot;basic&quot; =&gt; [&quot;browser&quot;, &quot;country&quot;, &quot;operating_system&quot;, &quot;player_software&quot;, &quot;player_software_version&quot;, &quot;source_hostname&quot;, &quot;source_type&quot;, &quot;stream_type&quot;, &quot;video_title&quot;]}","ref":"Mux.Data.Filters.html#list/1","title":"Mux.Data.Filters.list/1","type":"function"},{"doc":"This module includes functions for retrieving available incidents and their values in our system. These endpoints, for example, are used to construct the incidents tables in the alerts UI. API Documentation","ref":"Mux.Data.Incidents.html","title":"Mux.Data.Incidents","type":"module"},{"doc":"Lists details for a single incident. Returns {:ok, incident, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, incident, _env} = Mux.Data.Incidents.get(client, &quot;ABCD1234&quot;) iex&gt; incident %{&quot;affected_views&quot; =&gt; nil, &quot;affected_views_per_hour&quot; =&gt; nil, &quot;affected_views_per_hour_on_open&quot; =&gt; nil, &quot;breakdowns&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;pid1949&quot;, &quot;name&quot; =&gt; &quot;error_type_id&quot;, &quot;value&quot; =&gt; &quot;989&quot;}], &quot;description&quot; =&gt; &quot;Overall error-rate is significantly high (55.7%) due to an error of *This is a message for this crazy error*&quot;, &quot;error_description&quot; =&gt; &quot;This is a message for this crazy error&quot;, &quot;id&quot; =&gt; &quot;ABCD1234&quot;, &quot;impact&quot; =&gt; nil, &quot;incident_key&quot; =&gt; &quot;country=US&quot;, &quot;measured_value&quot; =&gt; 55.7, &quot;measured_value_on_close&quot; =&gt; nil, &quot;measurement&quot; =&gt; &quot;error_rate&quot;, &quot;notification_rules&quot; =&gt; [], &quot;notifications&quot; =&gt; [], &quot;resolved_at&quot; =&gt; nil, &quot;sample_size&quot; =&gt; 100, &quot;sample_size_unit&quot; =&gt; &quot;views&quot;, &quot;severity&quot; =&gt; &quot;alert&quot;, &quot;started_at&quot; =&gt; &quot;2019-07-16T23:46:12.047Z&quot;, &quot;status&quot; =&gt; &quot;open&quot;, &quot;threshold&quot; =&gt; 50}","ref":"Mux.Data.Incidents.html#get/2","title":"Mux.Data.Incidents.get/2","type":"function"},{"doc":"Lists all incidents. Returns {:ok, incidents, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, incidents, _env} = Mux.Data.Incidents.list(client, status: &#39;open&#39;, severity: &#39;alert&#39;) iex&gt; incidents [%{&quot;affected_views&quot; =&gt; 30, &quot;affected_views_per_hour&quot; =&gt; 60, &quot;affected_views_per_hour_on_open&quot; =&gt; 30, &quot;breakdowns&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;pid1077&quot;, &quot;name&quot; =&gt; &quot;error_type_id&quot;, &quot;value&quot; =&gt; &quot;957&quot;}], &quot;description&quot; =&gt; &quot;Overall error-rate is significantly high (55.7%) due to an error of *This is a message for this crazy error*&quot;, &quot;error_description&quot; =&gt; &quot;This is a message for this crazy error&quot;, &quot;id&quot; =&gt; &quot;pid1083&quot;, &quot;impact&quot; =&gt; &quot;*30 views* have been affected so far at a rate of *60 per hour*&quot;, &quot;incident_key&quot; =&gt; &quot;country=US&quot;, &quot;measured_value&quot; =&gt; 55.7, &quot;measured_value_on_close&quot; =&gt; nil, &quot;measurement&quot; =&gt; &quot;error_rate&quot;, &quot;notification_rules&quot; =&gt; [], &quot;notifications&quot; =&gt; [], &quot;resolved_at&quot; =&gt; nil, &quot;sample_size&quot; =&gt; 100, &quot;sample_size_unit&quot; =&gt; &quot;views&quot;, &quot;severity&quot; =&gt; &quot;alert&quot;, &quot;started_at&quot; =&gt; &quot;2019-07-17T00:46:08.344Z&quot;, &quot;status&quot; =&gt; &quot;open&quot;, &quot;threshold&quot; =&gt; 50}]","ref":"Mux.Data.Incidents.html#list/2","title":"Mux.Data.Incidents.list/2","type":"function"},{"doc":"Lists all the incidents that seem related to a specific incident. Returns {:ok, incidents, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, incidents, _env} = Mux.Data.Incidents.related(client, &quot;ABCD1234&quot;, measurement: &quot;median&quot;) iex&gt; incidents [%{&quot;affected_views&quot; =&gt; 30, &quot;affected_views_per_hour&quot; =&gt; 25, &quot;affected_views_per_hour_on_open&quot; =&gt; 30, &quot;breakdowns&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;pid1753&quot;, &quot;name&quot; =&gt; &quot;error_type_id&quot;, &quot;value&quot; =&gt; &quot;983&quot;}], &quot;description&quot; =&gt; &quot;Overall error-rate is significantly high (55.7%) due to an error of *This is a message for this crazy error*&quot;, &quot;error_description&quot; =&gt; &quot;This is a message for this crazy error&quot;, &quot;id&quot; =&gt; &quot;pid1759&quot;, &quot;impact&quot; =&gt; &quot;*30 views* have been affected so far at a rate of *25 per hour*&quot;, &quot;incident_key&quot; =&gt; &quot;country=US&quot;, &quot;measured_value&quot; =&gt; 55.7, &quot;measured_value_on_close&quot; =&gt; nil, &quot;measurement&quot; =&gt; &quot;error_rate&quot;, &quot;notification_rules&quot; =&gt; [], &quot;notifications&quot; =&gt; [], &quot;resolved_at&quot; =&gt; nil, &quot;sample_size&quot; =&gt; 100, &quot;sample_size_unit&quot; =&gt; &quot;views&quot;, &quot;severity&quot; =&gt; &quot;alert&quot;, &quot;started_at&quot; =&gt; &quot;2019-07-16T23:46:11.183Z&quot;, &quot;status&quot; =&gt; &quot;open&quot;, &quot;threshold&quot; =&gt; 50}]","ref":"Mux.Data.Incidents.html#related/3","title":"Mux.Data.Incidents.related/3","type":"function"},{"doc":"This module provides functions that interact with the metrics endpoints, which includes a bulk of the data product&#39;s statistical data. Note, these API documentation links may break periodically as we update documentation titles. Breakdowns Comparison Insights Overall Timeseries","ref":"Mux.Data.Metrics.html","title":"Mux.Data.Metrics","type":"module"},{"doc":"List the breakdown values for a specific metric. Returns {:ok, breakdowns, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, breakdowns, _env} = Mux.Data.Metrics.breakdown(client, &quot;video_startup_time&quot;, &quot;browser&quot;) iex&gt; breakdowns [%{&quot;field&quot; =&gt; &quot;mac&quot;, &quot;negative_impact&quot; =&gt; 1, &quot;total_watch_time&quot; =&gt; 7500, &quot;value&quot; =&gt; 3500, &quot;views&quot; =&gt; 3}, %{&quot;field&quot; =&gt; &quot;windows&quot;, &quot;negative_impact&quot; =&gt; 2, &quot;total_watch_time&quot; =&gt; 3500, &quot;value&quot; =&gt; 1000, &quot;views&quot; =&gt; 2}] iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, breakdowns, _env} = Mux.Data.Metrics.breakdown(client, &quot;video_startup_time&quot;, &quot;browser&quot;, measurement: &quot;median&quot;, timeframe: [&quot;6:hours&quot;]) iex&gt; breakdowns [%{&quot;field&quot; =&gt; &quot;mac&quot;, &quot;negative_impact&quot; =&gt; 1, &quot;total_watch_time&quot; =&gt; 7500, &quot;value&quot; =&gt; 3500, &quot;views&quot; =&gt; 3}, %{&quot;field&quot; =&gt; &quot;windows&quot;, &quot;negative_impact&quot; =&gt; 2, &quot;total_watch_time&quot; =&gt; 3500, &quot;value&quot; =&gt; 1000, &quot;views&quot; =&gt; 2}]","ref":"Mux.Data.Metrics.html#breakdown/4","title":"Mux.Data.Metrics.breakdown/4","type":"function"},{"doc":"List all of the values across every breakdown for a specific breakdown value. Returns {:ok, comparisons, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, comparison, _env} = Mux.Data.Metrics.comparison(client, &quot;browser&quot;, &quot;Safari&quot;) iex&gt; comparison [%{&quot;name&quot; =&gt; &quot;totals&quot;, &quot;view_count&quot; =&gt; 2, &quot;watch_time&quot; =&gt; 32000}, %{&quot;metric&quot; =&gt; &quot;viewer_experience_score&quot;, &quot;name&quot; =&gt; &quot;Overall Score&quot;, &quot;type&quot; =&gt; &quot;score&quot;, &quot;value&quot; =&gt; 0.25}, %{&quot;items&quot; =&gt; [%{&quot;metric&quot; =&gt; &quot;playback_failure_percentage&quot;, &quot;name&quot; =&gt; &quot;Playback Failure Percentage&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; 0}], &quot;metric&quot; =&gt; &quot;playback_failure_score&quot;, &quot;name&quot; =&gt; &quot;Playback Failure Score&quot;, &quot;type&quot; =&gt; &quot;score&quot;, &quot;value&quot; =&gt; 1}, %{&quot;items&quot; =&gt; [%{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;video_startup_time&quot;, &quot;name&quot; =&gt; &quot;Video Startup Time (median)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; 1000}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;video_startup_time&quot;, &quot;name&quot; =&gt; &quot;Video Startup Time (95th %)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; 1000}, %{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;player_startup_time&quot;, &quot;name&quot; =&gt; &quot;Player Startup Time (median)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;player_startup_time&quot;, &quot;name&quot; =&gt; &quot;Player Startup Time (95th %)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;page_load_time&quot;, &quot;name&quot; =&gt; &quot;Page Load Time (median)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;page_load_time&quot;, &quot;name&quot; =&gt; &quot;Page Load Time (95th %)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;aggregate_startup_time&quot;, &quot;name&quot; =&gt; &quot;Aggregate Startup Time (median)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;aggregate_startup_time&quot;, &quot;name&quot; =&gt; &quot;Aggregate Startup Time (95th %)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; nil}, %{&quot;metric&quot; =&gt; &quot;seek_latency&quot;, &quot;name&quot; =&gt; &quot;Seek Latency&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; nil}, %{&quot;metric&quot; =&gt; &quot;exits_before_video_start&quot;, &quot;name&quot; =&gt; &quot;Exits Before Video Start&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; 0}], &quot;metric&quot; =&gt; &quot;startup_time_score&quot;, &quot;name&quot; =&gt; &quot;Startup Time Score&quot;, &quot;type&quot; =&gt; &quot;score&quot;, &quot;value&quot; =&gt; 1}, %{&quot;items&quot; =&gt; [%{&quot;metric&quot; =&gt; &quot;rebuffer_percentage&quot;, &quot;name&quot; =&gt; &quot;Rebuffer Percentage&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; 0}, %{&quot;metric&quot; =&gt; &quot;rebuffer_frequency&quot;, &quot;name&quot; =&gt; &quot;Rebuffer Frequency&quot;, &quot;type&quot; =&gt; &quot;per_minute&quot;, &quot;value&quot; =&gt; 13.125}, %{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;rebuffer_duration&quot;, &quot;name&quot; =&gt; &quot;Rebuffer Duration (median)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; 0}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;rebuffer_duration&quot;, &quot;name&quot; =&gt; &quot;Rebuffer Duration (95th %)&quot;, &quot;type&quot; =&gt; &quot;milliseconds&quot;, &quot;value&quot; =&gt; 0}, %{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;rebuffer_count&quot;, &quot;name&quot; =&gt; &quot;Rebuffer Count (median)&quot;, &quot;type&quot; =&gt; &quot;number&quot;, &quot;value&quot; =&gt; 2}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;rebuffer_count&quot;, &quot;name&quot; =&gt; &quot;Rebuffer Count (95th %)&quot;, &quot;type&quot; =&gt; &quot;number&quot;, &quot;value&quot; =&gt; 5}], &quot;metric&quot; =&gt; &quot;rebuffer_score&quot;, &quot;name&quot; =&gt; &quot;Rebuffer Score&quot;, &quot;type&quot; =&gt; &quot;score&quot;, &quot;value&quot; =&gt; 0.25}, %{&quot;items&quot; =&gt; [%{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;upscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Upscale Percentage (median)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;upscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Upscale Percentage (95th %)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;avg&quot;, &quot;metric&quot; =&gt; &quot;upscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Upscale Percentage (average)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;downscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Downscale Percentage (median)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;downscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Downscale Percentage (95th %)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;avg&quot;, &quot;metric&quot; =&gt; &quot;downscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Downscale Percentage (average)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;max_upscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Max Upscale Percentage (median)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;max_upscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Max Upscale Percentage (95th %)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;median&quot;, &quot;metric&quot; =&gt; &quot;max_downscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Max Downscale Percentage (median)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}, %{&quot;measurement&quot; =&gt; &quot;95th&quot;, &quot;metric&quot; =&gt; &quot;max_downscale_percentage&quot;, &quot;name&quot; =&gt; &quot;Max Downscale Percentage (95th %)&quot;, &quot;type&quot; =&gt; &quot;percentage&quot;, &quot;value&quot; =&gt; nil}], &quot;metric&quot; =&gt; &quot;video_quality_score&quot;, &quot;name&quot; =&gt; &quot;Video Quality Score&quot;, &quot;type&quot; =&gt; &quot;score&quot;, &quot;value&quot; =&gt; nil}]","ref":"Mux.Data.Metrics.html#comparison/4","title":"Mux.Data.Metrics.comparison/4","type":"function"},{"doc":"Returns a list of insights for a metric. These are the worst performing values across all breakdowns sorted by how much they negatively impact a specific metric. Returns {:ok, insights, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, insights, _env} = Mux.Data.Metrics.insights(client, &quot;video_startup_time&quot;) iex&gt; insights [%{&quot;filter_column&quot; =&gt; &quot;country&quot;, &quot;filter_value&quot; =&gt; &quot;US&quot;, &quot;metric&quot; =&gt; 4000, &quot;negative_impact_score&quot; =&gt; 0.6, &quot;total_row_count&quot; =&gt; 1, &quot;total_views&quot; =&gt; 5, &quot;total_watch_time&quot; =&gt; 10000}]","ref":"Mux.Data.Metrics.html#insights/3","title":"Mux.Data.Metrics.insights/3","type":"function"},{"doc":"Returns the overall value for a specific metric, as well as the total view count, watch time, and the Mux Global metric value for the metric. Returns {:ok, overall_values, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, insights, _env} = Mux.Data.Metrics.overall(client, &quot;video_startup_time&quot;) iex&gt; insights %{&quot;global_value&quot; =&gt; nil, &quot;total_views&quot; =&gt; 3, &quot;total_watch_time&quot; =&gt; 3000, &quot;value&quot; =&gt; 0.8333333333333334}","ref":"Mux.Data.Metrics.html#overall/3","title":"Mux.Data.Metrics.overall/3","type":"function"},{"doc":"Returns time series data for a given metric. Returns {:ok, timeseries, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, timeseries, _env} = Mux.Data.Metrics.timeseries(client, &quot;video_startup_time&quot;) iex&gt; timeseries [[&quot;2018-01-19T02:00:00.000Z&quot;, 0, 2], [&quot;2018-01-19T03:00:00.000Z&quot;, 1, 3]]","ref":"Mux.Data.Metrics.html#timeseries/3","title":"Mux.Data.Metrics.timeseries/3","type":"function"},{"doc":"This module provides functions that interact with the real-time endpoints Note, these API documentation links may break periodically as we update documentation titles. Dimensions Metrics Breakdown HistogramTimeseries Timeseries","ref":"Mux.Data.RealTime.html","title":"Mux.Data.RealTime","type":"module"},{"doc":"Get breakdown information for a specific dimension and metric along with the number of concurrent viewers and negative impact score. Returns {:ok, breakdown, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, breakdown, _env} = Mux.Data.RealTime.breakdown(client, &quot;playback-failure-percentage&quot;, dimension: &quot;country&quot;, timestamp: 1_547_853_000, filters: [&quot;operating_system:windows&quot;]) iex&gt; breakdown [%{&quot;concurrent_viewers&quot; =&gt; 1, &quot;metric_value&quot; =&gt; 0, &quot;negative_impact&quot; =&gt; 3, &quot;value&quot; =&gt; &quot;AR&quot;}]","ref":"Mux.Data.RealTime.html#breakdown/3","title":"Mux.Data.RealTime.breakdown/3","type":"function"},{"doc":"List of available real-time dimensions Returns {:ok, dimensions, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, dimensions, _env} = Mux.Data.RealTime.dimensions(client) iex&gt; dimensions [%{&quot;display_name&quot; =&gt; &quot;ASN&quot;, &quot;name&quot; =&gt; &quot;asn&quot;}, %{&quot;display_name&quot; =&gt; &quot;CDN&quot;, &quot;name&quot; =&gt; &quot;cdn&quot;}, %{&quot;display_name&quot; =&gt; &quot;Country&quot;, &quot;name&quot; =&gt; &quot;country&quot;}, %{&quot;display_name&quot; =&gt; &quot;Operating system&quot;, &quot;name&quot; =&gt; &quot;operating_system&quot;}, %{&quot;display_name&quot; =&gt; &quot;Player name&quot;, &quot;name&quot; =&gt; &quot;player_name&quot;}, %{&quot;display_name&quot; =&gt; &quot;Region / State&quot;, &quot;name&quot; =&gt; &quot;region&quot;}, %{&quot;display_name&quot; =&gt; &quot;Stream type&quot;, &quot;name&quot; =&gt; &quot;stream_type&quot;}, %{&quot;display_name&quot; =&gt; &quot;Sub property ID&quot;, &quot;name&quot; =&gt; &quot;sub_property_id&quot;}, %{&quot;display_name&quot; =&gt; &quot;Video series&quot;, &quot;name&quot; =&gt; &quot;video_series&quot;}, %{&quot;display_name&quot; =&gt; &quot;Video title&quot;, &quot;name&quot; =&gt; &quot;video_title&quot;}]","ref":"Mux.Data.RealTime.html#dimensions/1","title":"Mux.Data.RealTime.dimensions/1","type":"function"},{"doc":"List histogram timeseries information for a specific metric Returns {:ok, histogram_timeseries, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, histogram_timeseries, _env} = Mux.Data.RealTime.histogram_timeseries(client, &quot;video-startup-time&quot;, filters: [&quot;operating_system:windows&quot;, &quot;country:US&quot;]) iex&gt; histogram_timeseries [%{&quot;average&quot; =&gt; 1446.328947368421, &quot;bucket_values&quot; =&gt; [%{&quot;count&quot; =&gt; 19, &quot;percentage&quot; =&gt; 0.25}, %{&quot;count&quot; =&gt; 21, &quot;percentage&quot; =&gt; 0.27631578947368424}, %{&quot;count&quot; =&gt; 15, &quot;percentage&quot; =&gt; 0.19736842105263158}, %{&quot;count&quot; =&gt; 11, &quot;percentage&quot; =&gt; 0.14473684210526316}, %{&quot;count&quot; =&gt; 4, &quot;percentage&quot; =&gt; 0.05263157894736842}, %{&quot;count&quot; =&gt; 4, &quot;percentage&quot; =&gt; 0.05263157894736842}, %{&quot;count&quot; =&gt; 2, &quot;percentage&quot; =&gt; 0.02631578947368421}], &quot;max_percentage&quot; =&gt; 0.27631578947368424, &quot;median&quot; =&gt; 425, &quot;p95&quot; =&gt; 6809, &quot;sum&quot; =&gt; 76, &quot;timestamp&quot; =&gt; &quot;2020-02-25T00:52:00Z&quot;}]","ref":"Mux.Data.RealTime.html#histogram_timeseries/3","title":"Mux.Data.RealTime.histogram_timeseries/3","type":"function"},{"doc":"List of available real-time metrics Returns {:ok, metrics, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, metrics, _env} = Mux.Data.RealTime.metrics(client) iex&gt; metrics [%{&quot;display_name&quot; =&gt; &quot;Current Concurrent Viewers (CCV)&quot;, &quot;name&quot; =&gt; &quot;current-concurrent-viewers&quot;}, %{&quot;display_name&quot; =&gt; &quot;Current Rebuffering Percentage&quot;, &quot;name&quot; =&gt; &quot;current-rebuffering-percentage&quot;}, %{&quot;display_name&quot; =&gt; &quot;Exits Before Video Start&quot;, &quot;name&quot; =&gt; &quot;exits-before-video-start&quot;}, %{&quot;display_name&quot; =&gt; &quot;Playback Failure Percentage&quot;, &quot;name&quot; =&gt; &quot;playback-failure-percentage&quot;}, %{&quot;display_name&quot; =&gt; &quot;Video Startup Time&quot;, &quot;name&quot; =&gt; &quot;video-startup-time&quot;}]","ref":"Mux.Data.RealTime.html#metrics/1","title":"Mux.Data.RealTime.metrics/1","type":"function"},{"doc":"List timeseries information for a specific metric along with the number of concurrent viewers. Returns {:ok, timeseries, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, timeseries, _env} = Mux.Data.RealTime.timeseries(client, &quot;playback-failure-percentage&quot;, filters: [&quot;operating_system:windows&quot;, &quot;country:US&quot;]) iex&gt; timeseries [%{&quot;concurrent_viewers&quot; =&gt; 477, &quot;date&quot; =&gt; &quot;2020-02-25T00:51:45Z&quot;, &quot;value&quot; =&gt; 0.0597809346162238}, %{&quot;concurrent_viewers&quot; =&gt; 487, &quot;date&quot; =&gt; &quot;2020-02-25T00:51:50Z&quot;, &quot;value&quot; =&gt; 0.059590005296620834}]","ref":"Mux.Data.RealTime.html#timeseries/3","title":"Mux.Data.RealTime.timeseries/3","type":"function"},{"doc":"This module provides functions for interacting with individual video views. Note, the raw video views contain quite a lot of data, so the list endpoint includes a filtered set of keys for each view. API Documentation.","ref":"Mux.Data.VideoViews.html","title":"Mux.Data.VideoViews","type":"module"},{"doc":"Returns the details for a single video view. Returns {:ok, view, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, view, _env} = Mux.Data.VideoViews.get(client, &quot;k8n4aklUyrRDekILDWta1qSJqNFpYB7N50&quot;) iex&gt; view[&quot;id&quot;] === &quot;k8n4aklUyrRDekILDWta1qSJqNFpYB7N50&quot; true","ref":"Mux.Data.VideoViews.html#get/2","title":"Mux.Data.VideoViews.get/2","type":"function"},{"doc":"Returns a paginated list of video views that occurred within the specified timeframe. Results are ordered by view_end, according to what you provide for order_direction. Returns {:ok, views, raw_env}. Examples iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, views, _env} = Mux.Data.VideoViews.list(client) iex&gt; views [%{&quot;country_code&quot; =&gt; nil, &quot;error_type_id&quot; =&gt; 1087, &quot;id&quot; =&gt; &quot;DEM1z65UMx6Ldcgq9tDR9tkJNTqlE5eNlN4&quot;, &quot;player_error_code&quot; =&gt; nil, &quot;player_error_message&quot; =&gt; nil, &quot;total_row_count&quot; =&gt; 2, &quot;video_title&quot; =&gt; nil, &quot;view_end&quot; =&gt; &quot;2018-01-19T02 =&gt;18 =&gt;41.940Z&quot;, &quot;view_start&quot; =&gt; &quot;2018-01-19T02 =&gt;18 =&gt;41.940Z&quot;, &quot;viewer_application_name&quot; =&gt; &quot;Chrome&quot;, &quot;viewer_os_family&quot; =&gt; nil}, %{&quot;country_code&quot; =&gt; nil, &quot;error_type_id&quot; =&gt; 1088, &quot;id&quot; =&gt; &quot;k8n4aklUyrRDekILDWta1qSJqNFpYB7N50&quot;, &quot;player_error_code&quot; =&gt; nil, &quot;player_error_message&quot; =&gt; nil, &quot;total_row_count&quot; =&gt; 2, &quot;video_title&quot; =&gt; nil, &quot;view_end&quot; =&gt; &quot;2018-01-19T02 =&gt;18 =&gt;41.940Z&quot;, &quot;view_start&quot; =&gt; &quot;2018-01-19T02 =&gt;18 =&gt;41.940Z&quot;, &quot;viewer_application_name&quot; =&gt; &quot;Chrome&quot;, &quot;viewer_os_family&quot; =&gt; nil}] iex&gt; client = Mux.client(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, views, _env} = Mux.Data.VideoViews.list(client, filters: [&quot;browser:Chrome&quot;], order_direction: &quot;desc&quot;, page: 2) iex&gt; views [%{&quot;country_code&quot; =&gt; nil, &quot;error_type_id&quot; =&gt; 1087, &quot;id&quot; =&gt; &quot;DEM1z65UMx6Ldcgq9tDR9tkJNTqlE5eNlN4&quot;, &quot;player_error_code&quot; =&gt; nil, &quot;player_error_message&quot; =&gt; nil, &quot;total_row_count&quot; =&gt; 2, &quot;video_title&quot; =&gt; nil, &quot;view_end&quot; =&gt; &quot;2018-01-19T02 =&gt;18 =&gt;41.940Z&quot;, &quot;view_start&quot; =&gt; &quot;2018-01-19T02 =&gt;18 =&gt;41.940Z&quot;, &quot;viewer_application_name&quot; =&gt; &quot;Chrome&quot;, &quot;viewer_os_family&quot; =&gt; nil}, %{&quot;country_code&quot; =&gt; nil, &quot;error_type_id&quot; =&gt; 1088, &quot;id&quot; =&gt; &quot;k8n4aklUyrRDekILDWta1qSJqNFpYB7N50&quot;, &quot;player_error_code&quot; =&gt; nil, &quot;player_error_message&quot; =&gt; nil, &quot;total_row_count&quot; =&gt; 2, &quot;video_title&quot; =&gt; nil, &quot;view_end&quot; =&gt; &quot;2018-01-19T02 =&gt;18 =&gt;41.940Z&quot;, &quot;view_start&quot; =&gt; &quot;2018-01-19T02 =&gt;18 =&gt;41.940Z&quot;, &quot;viewer_application_name&quot; =&gt; &quot;Chrome&quot;, &quot;viewer_os_family&quot; =&gt; nil}]","ref":"Mux.Data.VideoViews.html#list/2","title":"Mux.Data.VideoViews.list/2","type":"function"},{"doc":"This module provides functions for managing assets in Mux Video. API Documentation","ref":"Mux.Video.Assets.html","title":"Mux.Video.Assets","type":"module"},{"doc":"Create a new asset. Returns {:ok, asset, %Tesla.Client{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; Mux.Video.Assets.create(client, %{input: &quot;https://example.com/video.mp4&quot;}) {:ok, %{&quot;created_at&quot; =&gt; &quot;1521503163&quot;, &quot;id&quot; =&gt; &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;CypWdvOIUrxjI7RlRAbVm01fGxFMO6wfH&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;status&quot; =&gt; &quot;preparing&quot;}, %Tesla.Env{method: nil, url: &quot;&quot;, query: [], headers: [], body: %{&quot;data&quot; =&gt; %{&quot;created_at&quot; =&gt; &quot;1521503163&quot;, &quot;id&quot; =&gt; &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;CypWdvOIUrxjI7RlRAbVm01fGxFMO6wfH&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;status&quot; =&gt; &quot;preparing&quot;}}, status: 201, opts: [], __module__: nil, __client__: nil}}","ref":"Mux.Video.Assets.html#create/2","title":"Mux.Video.Assets.create/2","type":"function"},{"doc":"Create a new playback ID. Returns {:ok, playback_id, %Telsa.Env{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, playback_id, _env} = Mux.Video.Assets.create_playback_id(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, %{policy: &quot;public&quot;}) iex&gt; playback_id %{&quot;id&quot; =&gt; &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}","ref":"Mux.Video.Assets.html#create_playback_id/3","title":"Mux.Video.Assets.create_playback_id/3","type":"function"},{"doc":"Delete an asset. Returns a tuple such as {:ok, &quot;&quot;, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, &quot;&quot;, _env} = Mux.Video.Assets.delete(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;) iex&gt; status :ok","ref":"Mux.Video.Assets.html#delete/3","title":"Mux.Video.Assets.delete/3","type":"function"},{"doc":"Delete a playback ID. Returns {:ok, &quot;&quot;, %Telsa.Env{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, &quot;&quot;, _env} = Mux.Video.Assets.delete_playback_id(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;) iex&gt; status :ok","ref":"Mux.Video.Assets.html#delete_playback_id/3","title":"Mux.Video.Assets.delete_playback_id/3","type":"function"},{"doc":"Retrieve an asset by ID. Returns a tuple such as {:ok, asset, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, asset, _env} = Mux.Video.Assets.get(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;) iex&gt; asset %{&quot;aspect_ratio&quot; =&gt; &quot;16:9&quot;, &quot;created_at&quot; =&gt; &quot;1521503163&quot;, &quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;master_access&quot; =&gt; &quot;none&quot;, &quot;max_stored_frame_rate&quot; =&gt; 29.97, &quot;max_stored_resolution&quot; =&gt; &quot;HD&quot;, &quot;mp4_support&quot; =&gt; &quot;none&quot;, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;CypWdvOIUrxjI7RlRAbVm01fGxFMO6wfH&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;status&quot; =&gt; &quot;ready&quot;, &quot;tracks&quot; =&gt; [%{&quot;duration&quot; =&gt; 23.8238, &quot;id&quot; =&gt; &quot;7wVkNSIVRAIKB1oj6jezHK1BATAXuwy3&quot;, &quot;max_frame_rate&quot; =&gt; 29.97, &quot;max_height&quot; =&gt; 1080, &quot;max_width&quot; =&gt; 1920, &quot;type&quot; =&gt; &quot;video&quot;}, %{&quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;PnA02RYkGox02I01NDr02yAzp5qqAiOS401VgQO1pg00gByzk&quot;, &quot;max_channel_layout&quot; =&gt; &quot;stereo&quot;, &quot;max_channels&quot; =&gt; 2, &quot;type&quot; =&gt; &quot;audio&quot;}]}","ref":"Mux.Video.Assets.html#get/3","title":"Mux.Video.Assets.get/3","type":"function"},{"doc":"Retrieve a playback ID. Returns {:ok, playback_id, %Telsa.Env{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, playback_id, _env} = Mux.Video.Assets.get_playback_id(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;) iex&gt; playback_id %{&quot;id&quot; =&gt; &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}","ref":"Mux.Video.Assets.html#get_playback_id/3","title":"Mux.Video.Assets.get_playback_id/3","type":"function"},{"doc":"Retrieve the asset&#39;s input info. Returns a tuple such as {:ok, input_info, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, input_info, _env} = Mux.Video.Assets.input_info(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;) iex&gt; input_info [%{&quot;file&quot; =&gt; %{&quot;container_format&quot; =&gt; &quot;mov,mp4,m4a,3gp,3g2,mj2&quot;, &quot;tracks&quot; =&gt; [%{&quot;duration&quot; =&gt; 23.8238, &quot;encoding&quot; =&gt; &quot;h264&quot;, &quot;frame_rate&quot; =&gt; 29.97, &quot;height&quot; =&gt; 1080, &quot;type&quot; =&gt; &quot;video&quot;, &quot;width&quot; =&gt; 1920}, %{&quot;channels&quot; =&gt; 2, &quot;duration&quot; =&gt; 23.872, &quot;encoding&quot; =&gt; &quot;aac&quot;, &quot;sample_rate&quot; =&gt; 48000, &quot;type&quot; =&gt; &quot;audio&quot;}]}, &quot;settings&quot; =&gt; %{&quot;url&quot; =&gt; &quot;https://storage.googleapis.com/muxdemofiles/mux-video-intro.mp4&quot;}}]","ref":"Mux.Video.Assets.html#input_info/3","title":"Mux.Video.Assets.input_info/3","type":"function"},{"doc":"List assets. Returns a tuple such as {:ok, assets, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, assets, _env} = Mux.Video.Assets.list(client) iex&gt; assets [%{&quot;aspect_ratio&quot; =&gt; &quot;16:9&quot;, &quot;created_at&quot; =&gt; &quot;1521503163&quot;, &quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;master_access&quot; =&gt; &quot;none&quot;, &quot;max_stored_frame_rate&quot; =&gt; 29.97, &quot;max_stored_resolution&quot; =&gt; &quot;HD&quot;, &quot;mp4_support&quot; =&gt; &quot;none&quot;, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;CypWdvOIUrxjI7RlRAbVm01fGxFMO6wfH&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;status&quot; =&gt; &quot;ready&quot;, &quot;tracks&quot; =&gt; [%{&quot;duration&quot; =&gt; 23.8238, &quot;id&quot; =&gt; &quot;7wVkNSIVRAIKB1oj6jezHK1BATAXuwy3&quot;, &quot;max_frame_rate&quot; =&gt; 29.97, &quot;max_height&quot; =&gt; 1080, &quot;max_width&quot; =&gt; 1920, &quot;type&quot; =&gt; &quot;video&quot;}, %{&quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;PnA02RYkGox02I01NDr02yAzp5qqAiOS401VgQO1pg00gByzk&quot;, &quot;max_channel_layout&quot; =&gt; &quot;stereo&quot;, &quot;max_channels&quot; =&gt; 2, &quot;type&quot; =&gt; &quot;audio&quot;}]}, %{&quot;aspect_ratio&quot; =&gt; &quot;16:9&quot;, &quot;created_at&quot; =&gt; &quot;1521503163&quot;, &quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;master_access&quot; =&gt; &quot;none&quot;, &quot;max_stored_frame_rate&quot; =&gt; 29.97, &quot;max_stored_resolution&quot; =&gt; &quot;HD&quot;, &quot;mp4_support&quot; =&gt; &quot;none&quot;, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;CypWdvOIUrxjI7RlRAbVm01fGxFMO6wfH&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;status&quot; =&gt; &quot;ready&quot;, &quot;tracks&quot; =&gt; [%{&quot;duration&quot; =&gt; 23.8238, &quot;id&quot; =&gt; &quot;7wVkNSIVRAIKB1oj6jezHK1BATAXuwy3&quot;, &quot;max_frame_rate&quot; =&gt; 29.97, &quot;max_height&quot; =&gt; 1080, &quot;max_width&quot; =&gt; 1920, &quot;type&quot; =&gt; &quot;video&quot;}, %{&quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;PnA02RYkGox02I01NDr02yAzp5qqAiOS401VgQO1pg00gByzk&quot;, &quot;max_channel_layout&quot; =&gt; &quot;stereo&quot;, &quot;max_channels&quot; =&gt; 2, &quot;type&quot; =&gt; &quot;audio&quot;}]}]","ref":"Mux.Video.Assets.html#list/2","title":"Mux.Video.Assets.list/2","type":"function"},{"doc":"Updates an asset, allowing modifications to passthrough Returns a tuple such as `{:ok, asset, %Tesla.Env{}} ## Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, asset, _env} = Mux.Video.Assets.update(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, %{passthrough: &quot;updated_passthrough&quot;}) iex&gt; asset %{&quot;aspect_ratio&quot; =&gt; &quot;16:9&quot;, &quot;created_at&quot; =&gt; &quot;1521503163&quot;, &quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;master_access&quot; =&gt; &quot;none&quot;, &quot;max_stored_frame_rate&quot; =&gt; 29.97, &quot;max_stored_resolution&quot; =&gt; &quot;HD&quot;, &quot;mp4_support&quot; =&gt; &quot;none&quot;, &quot;passthrough&quot; =&gt; &quot;updated_passthrough&quot;, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;CypWdvOIUrxjI7RlRAbVm01fGxFMO6wfH&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;status&quot; =&gt; &quot;ready&quot;, &quot;tracks&quot; =&gt; [%{&quot;duration&quot; =&gt; 23.8238, &quot;id&quot; =&gt; &quot;7wVkNSIVRAIKB1oj6jezHK1BATAXuwy3&quot;, &quot;max_frame_rate&quot; =&gt; 29.97, &quot;max_height&quot; =&gt; 1080, &quot;max_width&quot; =&gt; 1920, &quot;type&quot; =&gt; &quot;video&quot;}, %{&quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;PnA02RYkGox02I01NDr02yAzp5qqAiOS401VgQO1pg00gByzk&quot;, &quot;max_channel_layout&quot; =&gt; &quot;stereo&quot;, &quot;max_channels&quot; =&gt; 2, &quot;type&quot; =&gt; &quot;audio&quot;}]}","ref":"Mux.Video.Assets.html#update/3","title":"Mux.Video.Assets.update/3","type":"function"},{"doc":"Updates an asset&#39;s master access Returns a tuple such as {:ok, asset, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, asset, _env} = Mux.Video.Assets.update_master_access(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, %{master_access: &quot;temporary&quot;}) iex&gt; asset %{&quot;aspect_ratio&quot; =&gt; &quot;16:9&quot;, &quot;created_at&quot; =&gt; &quot;1521503163&quot;, &quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;master_access&quot; =&gt; &quot;none&quot;, &quot;max_stored_frame_rate&quot; =&gt; 29.97, &quot;max_stored_resolution&quot; =&gt; &quot;HD&quot;, &quot;mp4_support&quot; =&gt; &quot;none&quot;, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;CypWdvOIUrxjI7RlRAbVm01fGxFMO6wfH&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;status&quot; =&gt; &quot;ready&quot;, &quot;tracks&quot; =&gt; [%{&quot;duration&quot; =&gt; 23.8238, &quot;id&quot; =&gt; &quot;7wVkNSIVRAIKB1oj6jezHK1BATAXuwy3&quot;, &quot;max_frame_rate&quot; =&gt; 29.97, &quot;max_height&quot; =&gt; 1080, &quot;max_width&quot; =&gt; 1920, &quot;type&quot; =&gt; &quot;video&quot;}, %{&quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;PnA02RYkGox02I01NDr02yAzp5qqAiOS401VgQO1pg00gByzk&quot;, &quot;max_channel_layout&quot; =&gt; &quot;stereo&quot;, &quot;max_channels&quot; =&gt; 2, &quot;type&quot; =&gt; &quot;audio&quot;}]}","ref":"Mux.Video.Assets.html#update_master_access/3","title":"Mux.Video.Assets.update_master_access/3","type":"function"},{"doc":"Updates an asset&#39;s mp4 support Returns a tuple such as {:ok, asset, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, asset, _env} = Mux.Video.Assets.update_mp4_support(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, %{mp4_support: &quot;standard&quot;}) iex&gt; asset %{&quot;aspect_ratio&quot; =&gt; &quot;16:9&quot;, &quot;created_at&quot; =&gt; &quot;1521503163&quot;, &quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;master_access&quot; =&gt; &quot;none&quot;, &quot;max_stored_frame_rate&quot; =&gt; 29.97, &quot;max_stored_resolution&quot; =&gt; &quot;HD&quot;, &quot;mp4_support&quot; =&gt; &quot;none&quot;, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;CypWdvOIUrxjI7RlRAbVm01fGxFMO6wfH&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;status&quot; =&gt; &quot;ready&quot;, &quot;tracks&quot; =&gt; [%{&quot;duration&quot; =&gt; 23.8238, &quot;id&quot; =&gt; &quot;7wVkNSIVRAIKB1oj6jezHK1BATAXuwy3&quot;, &quot;max_frame_rate&quot; =&gt; 29.97, &quot;max_height&quot; =&gt; 1080, &quot;max_width&quot; =&gt; 1920, &quot;type&quot; =&gt; &quot;video&quot;}, %{&quot;duration&quot; =&gt; 23.872, &quot;id&quot; =&gt; &quot;PnA02RYkGox02I01NDr02yAzp5qqAiOS401VgQO1pg00gByzk&quot;, &quot;max_channel_layout&quot; =&gt; &quot;stereo&quot;, &quot;max_channels&quot; =&gt; 2, &quot;type&quot; =&gt; &quot;audio&quot;}]}","ref":"Mux.Video.Assets.html#update_mp4_support/3","title":"Mux.Video.Assets.update_mp4_support/3","type":"function"},{"doc":"This module provides functions for reading delivery usage in Mux Video. API Documentation","ref":"Mux.Video.DeliveryUsage.html","title":"Mux.Video.DeliveryUsage","type":"module"},{"doc":"Get delivery usage for a specified timeframe. API Documentation Returns {:ok, delivery_usage, %Tesla.Env{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, delivery_usage, _env} = Mux.Video.DeliveryUsage.list(client, %{timeframe: [1564617600, 1569283200]}) iex&gt; delivery_usage [%{&quot;asset_duration&quot; =&gt; 480.533333, &quot;asset_id&quot; =&gt; &quot;XwYTXo41yZD2xDIOKp2p00&quot;, &quot;asset_state&quot; =&gt; &quot;ready&quot;, &quot;created_at&quot; =&gt; &quot;1566324794&quot;, &quot;delivered_seconds&quot; =&gt; 2040.533333, &quot;passthrough&quot; =&gt; &quot;Example 1&quot;}, %{&quot;asset_duration&quot; =&gt; 480.533333, &quot;asset_id&quot; =&gt; &quot;XwYTXo41yZD2xDIOKp2p00&quot;, &quot;asset_state&quot; =&gt; &quot;ready&quot;, &quot;created_at&quot; =&gt; &quot;1566324794&quot;, &quot;delivered_seconds&quot; =&gt; 2040.533333, &quot;passthrough&quot; =&gt; &quot;Example 1&quot;}]","ref":"Mux.Video.DeliveryUsage.html#list/2","title":"Mux.Video.DeliveryUsage.list/2","type":"function"},{"doc":"This module provides functions for managing live streams in Mux Video. API Documentation","ref":"Mux.Video.LiveStreams.html","title":"Mux.Video.LiveStreams","type":"module"},{"doc":"Create a new live stream. API Documentation Returns {:ok, live_stream, %Tesla.Env{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, live_stream, _env} = Mux.Video.LiveStreams.create(client, %{playback_policy: &quot;public&quot;, new_asset_settings: %{playback_policy: &quot;public&quot;}}) iex&gt; live_stream %{&quot;created_at&quot; =&gt; &quot;1557338261&quot;, &quot;id&quot; =&gt; &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;iOkfIGstt4u1eYdFcPKGTWKz75Acpv3w&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;reconnect_window&quot; =&gt; 60, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;stream_key&quot; =&gt; &quot;54676b58-6b19-5acb-f5bf-3aa35222efc6&quot;}","ref":"Mux.Video.LiveStreams.html#create/2","title":"Mux.Video.LiveStreams.create/2","type":"function"},{"doc":"Create a live stream playback ID. API Documentation Returns a tuple such as {:ok, playback_ids, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, playback_id, _env} = Mux.Video.LiveStreams.create_playback_id(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, %{policy: &quot;public&quot;}) iex&gt; playback_id %{&quot;id&quot; =&gt; &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}","ref":"Mux.Video.LiveStreams.html#create_playback_id/3","title":"Mux.Video.LiveStreams.create_playback_id/3","type":"function"},{"doc":"Create a live stream simulcast target. API Documentation Returns a tuple such as {:ok, simulcast_target, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, simulcast_target, _env} = Mux.Video.LiveStreams.create_simulcast_target(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, %{url: &quot;rtmp://live.example.com/app&quot;, stream_key: &quot;abcdefgh&quot;}) iex&gt; simulcast_target %{&quot;id&quot; =&gt; &quot;vuOfW021mz5QA500wYEQ9SeUYvuYnpFz011mqSvski5T8claN02JN9ve2g&quot;, &quot;passthrough&quot; =&gt; &quot;Example 1&quot;, &quot;stream_key&quot; =&gt; &quot;abcdefgh&quot;, &quot;url&quot; =&gt; &quot;rtmp://live.example1.com/app&quot;}","ref":"Mux.Video.LiveStreams.html#create_simulcast_target/3","title":"Mux.Video.LiveStreams.create_simulcast_target/3","type":"function"},{"doc":"Delete a live stream. API Documentation Returns a tuple such as {:ok, &quot;&quot;, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, _data, _env} = Mux.Video.LiveStreams.delete(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;) iex&gt; status :ok","ref":"Mux.Video.LiveStreams.html#delete/2","title":"Mux.Video.LiveStreams.delete/2","type":"function"},{"doc":"Delete a live stream playback ID. API Documentation Returns a tuple such as {:ok, &quot;&quot;, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, _, _env} = Mux.Video.LiveStreams.delete_playback_id(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;) iex&gt; status :ok","ref":"Mux.Video.LiveStreams.html#delete_playback_id/3","title":"Mux.Video.LiveStreams.delete_playback_id/3","type":"function"},{"doc":"Delete a live stream simulcast target. API Documentation Returns a tuple such as {:ok, &quot;&quot;, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, _, _env} = Mux.Video.LiveStreams.delete_simulcast_target(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;vuOfW021mz5QA500wYEQ9SeUYvuYnpFz011mqSvski5T8claN02JN9ve2g&quot;) iex&gt; status :ok","ref":"Mux.Video.LiveStreams.html#delete_simulcast_target/3","title":"Mux.Video.LiveStreams.delete_simulcast_target/3","type":"function"},{"doc":"Disable a live stream is finished. API Documentation Returns a tuple such as {:ok, &quot;&quot;, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, _, _env} = Mux.Video.LiveStreams.disable(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;) iex&gt; status :ok","ref":"Mux.Video.LiveStreams.html#disable/2","title":"Mux.Video.LiveStreams.disable/2","type":"function"},{"doc":"Enable a live stream is finished. API Documentation Returns a tuple such as {:ok, &quot;&quot;, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, _, _env} = Mux.Video.LiveStreams.enable(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;) iex&gt; status :ok","ref":"Mux.Video.LiveStreams.html#enable/2","title":"Mux.Video.LiveStreams.enable/2","type":"function"},{"doc":"Retrieve a live stream by ID. API Documentation Returns a tuple such as {:ok, live_stream, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, live_stream, _env} = Mux.Video.LiveStreams.get(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;) iex&gt; live_stream %{&quot;created_at&quot; =&gt; &quot;1557338261&quot;, &quot;id&quot; =&gt; &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;iOkfIGstt4u1eYdFcPKGTWKz75Acpv3w&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;reconnect_window&quot; =&gt; 60, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;stream_key&quot; =&gt; &quot;54676b58-6b19-5acb-f5bf-3aa35222efc6&quot;}","ref":"Mux.Video.LiveStreams.html#get/3","title":"Mux.Video.LiveStreams.get/3","type":"function"},{"doc":"Retrieve a playback ID. Returns {:ok, playback_id, %Telsa.Env{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, playback_id, _env} = Mux.Video.LiveStreams.get_playback_id(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;) iex&gt; playback_id %{&quot;id&quot; =&gt; &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}","ref":"Mux.Video.LiveStreams.html#get_playback_id/3","title":"Mux.Video.LiveStreams.get_playback_id/3","type":"function"},{"doc":"Retrieve a live stream simulcast target. API Documentation Returns a tuple such as {:ok, simulcast_target, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, simulcast_target, _env} = Mux.Video.LiveStreams.get_simulcast_target(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;vuOfW021mz5QA500wYEQ9SeUYvuYnpFz011mqSvski5T8claN02JN9ve2g&quot;) iex&gt; simulcast_target %{&quot;id&quot; =&gt; &quot;vuOfW021mz5QA500wYEQ9SeUYvuYnpFz011mqSvski5T8claN02JN9ve2g&quot;, &quot;passthrough&quot; =&gt; &quot;Example 1&quot;, &quot;stream_key&quot; =&gt; &quot;abcdefgh&quot;, &quot;url&quot; =&gt; &quot;rtmp://live.example1.com/app&quot;}","ref":"Mux.Video.LiveStreams.html#get_simulcast_target/3","title":"Mux.Video.LiveStreams.get_simulcast_target/3","type":"function"},{"doc":"List all live streams. API Documentation Returns a tuple such as {:ok, live_streams, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, live_streams, _env} = Mux.Video.LiveStreams.list(client) iex&gt; live_streams [%{&quot;created_at&quot; =&gt; &quot;1557338261&quot;, &quot;id&quot; =&gt; &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;iOkfIGstt4u1eYdFcPKGTWKz75Acpv3w&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;reconnect_window&quot; =&gt; 60, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;stream_key&quot; =&gt; &quot;54676b58-6b19-5acb-f5bf-3aa35222efc6&quot;}, %{&quot;created_at&quot; =&gt; &quot;1557338261&quot;, &quot;id&quot; =&gt; &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;iOkfIGstt4u1eYdFcPKGTWKz75Acpv3w&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;reconnect_window&quot; =&gt; 60, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;stream_key&quot; =&gt; &quot;54676b58-6b19-5acb-f5bf-3aa35222efc6&quot;}]","ref":"Mux.Video.LiveStreams.html#list/2","title":"Mux.Video.LiveStreams.list/2","type":"function"},{"doc":"Reset a live stream key if you want to immediately stop the current stream key from working and create a new stream key that can be used for future broadcasts. API Documentation Returns a tuple such as {:ok, &quot;&quot;, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, live_stream, _env} = Mux.Video.LiveStreams.reset_stream_key(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;) iex&gt; live_stream %{&quot;created_at&quot; =&gt; &quot;1557338261&quot;, &quot;id&quot; =&gt; &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;iOkfIGstt4u1eYdFcPKGTWKz75Acpv3w&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;reconnect_window&quot; =&gt; 60, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;stream_key&quot; =&gt; &quot;54676b58-6b19-5acb-f5bf-3aa35222efc6&quot;}","ref":"Mux.Video.LiveStreams.html#reset_stream_key/2","title":"Mux.Video.LiveStreams.reset_stream_key/2","type":"function"},{"doc":"Signal a live stream is finished. API Documentation Returns a tuple such as {:ok, &quot;&quot;, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, _, _env} = Mux.Video.LiveStreams.signal_complete(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;) iex&gt; status :ok","ref":"Mux.Video.LiveStreams.html#signal_complete/2","title":"Mux.Video.LiveStreams.signal_complete/2","type":"function"},{"doc":"Updates a live stream. See https://docs.mux.com/api-reference/video#operation/update-live-stream for the values that are allowed. Returns a tuple such as `{:ok, live_stream, %Tesla.Env{}} ## Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, live_stream, _env} = Mux.Video.LiveStreams.update(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, %{passthrough: &quot;updated_passthrough&quot;, latency_mode: &quot;low&quot;, max_continuous_duration: 21600, reconnect_window: 30}) iex&gt; live_stream %{&quot;created_at&quot; =&gt; &quot;1557338261&quot;, &quot;id&quot; =&gt; &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;latency_mode&quot; =&gt; &quot;low&quot;, &quot;max_continuous_duration&quot; =&gt; 21600, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;passthrough&quot; =&gt; &quot;updated_passthrough&quot;, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;iOkfIGstt4u1eYdFcPKGTWKz75Acpv3w&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;reconnect_window&quot; =&gt; 30, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;stream_key&quot; =&gt; &quot;54676b58-6b19-5acb-f5bf-3aa35222efc6&quot;}","ref":"Mux.Video.LiveStreams.html#update/3","title":"Mux.Video.LiveStreams.update/3","type":"function"},{"doc":"Updates a live stream&#39;s embedded subtitles Returns a tuple such as `{:ok, live_stream, %Tesla.Env{}} ## Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, live_stream, _env} = Mux.Video.LiveStreams.update_embedded_subtitles(client, &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, %{embedded_subtitles: %{name: &quot;English CC&quot;, passthrough: &quot;Example&quot;, language_code: &quot;en&quot;, language_channel: &quot;cc1&quot;}}) iex&gt; live_stream %{&quot;created_at&quot; =&gt; &quot;1557338261&quot;, &quot;embedded_subtitles&quot; =&gt; %{&quot;language_channel&quot; =&gt; &quot;cc1&quot;, &quot;language_code&quot; =&gt; &quot;en&quot;, &quot;name&quot; =&gt; &quot;English CC&quot;, &quot;passthrough&quot; =&gt; &quot;Example&quot;}, &quot;id&quot; =&gt; &quot;aA02skpHXoLrbQm49qIzAG6RtewFOcDEY&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;playback_ids&quot; =&gt; [%{&quot;id&quot; =&gt; &quot;iOkfIGstt4u1eYdFcPKGTWKz75Acpv3w&quot;, &quot;policy&quot; =&gt; &quot;public&quot;}], &quot;reconnect_window&quot; =&gt; 60, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;stream_key&quot; =&gt; &quot;54676b58-6b19-5acb-f5bf-3aa35222efc6&quot;}","ref":"Mux.Video.LiveStreams.html#update_embedded_subtitles/3","title":"Mux.Video.LiveStreams.update_embedded_subtitles/3","type":"function"},{"doc":"This module provides functions around managing Playback IDs in Mux Video. Playback IDs are the public identifier for streaming a piece of content and can include policies such as signed or public. API Documentation.","ref":"Mux.Video.PlaybackIds.html","title":"Mux.Video.PlaybackIds","type":"module"},{"doc":"Retrieve a asset or live stream identifier by Playback ID. Returns {:ok, playback_id_full, raw_env}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, playback_id_full, _env} = Mux.Video.PlaybackIds.get(client, &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;) iex&gt; playback_id_full %{&quot;id&quot; =&gt; &quot;7IxC7stYLro5Z4nEs97J02OkLEKFME6mvhnuRJybhRKU&quot;, &quot;object&quot; =&gt; %{&quot;id&quot; =&gt; &quot;ZXs9U1Wqr3C4GBVCOYRQOA00lLtijnVhehJIb8tlDzL00&quot;, &quot;type&quot; =&gt; &quot;live_stream&quot;}, &quot;policy&quot; =&gt; &quot;public&quot;}","ref":"Mux.Video.PlaybackIds.html#get/2","title":"Mux.Video.PlaybackIds.get/2","type":"function"},{"doc":"This module provides functions for managing Playback Restrictions in Mux Video. API Documentation","ref":"Mux.Video.PlaybackRestrictions.html","title":"Mux.Video.PlaybackRestrictions","type":"module"},{"doc":"Create a new playback restriction. Returns {:ok, playback_restriction, %Tesla.Client{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, playback_restriction, _env} = Mux.Video.PlaybackRestrictions.create(client, %{referrer: %{allowed_domains: [&quot;*.example.com&quot;], allow_no_referrer: true}}) iex&gt; playback_restriction %{&quot;created_at&quot; =&gt; &quot;1653174155&quot;, &quot;id&quot; =&gt; &quot;uP6cf00TE5HUvfdEmI6PR01vXQgZEjydC3&quot;, &quot;referrer&quot; =&gt; %{&quot;allow_no_referrer&quot; =&gt; true, &quot;allowed_domains&quot; =&gt; [&quot;*.example.com&quot;]}, &quot;updated_at&quot; =&gt; &quot;1653174155&quot;}","ref":"Mux.Video.PlaybackRestrictions.html#create/2","title":"Mux.Video.PlaybackRestrictions.create/2","type":"function"},{"doc":"Delete a playback restriction. Returns a tuple such as {:ok, &quot;&quot;, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, &quot;&quot;, _env} = Mux.Video.PlaybackRestrictions.delete(client, &quot;uP6cf00TE5HUvfdEmI6PR01vXQgZEjydC3&quot;) iex&gt; status :ok","ref":"Mux.Video.PlaybackRestrictions.html#delete/3","title":"Mux.Video.PlaybackRestrictions.delete/3","type":"function"},{"doc":"Retrieve a playback restriction by ID. Returns a tuple such as {:ok, playback_restriction, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, playback_restriction, _env} = Mux.Video.PlaybackRestrictions.get(client, &quot;uP6cf00TE5HUvfdEmI6PR01vXQgZEjydC3&quot;) iex&gt; playback_restriction %{&quot;created_at&quot; =&gt; &quot;1653174155&quot;, &quot;id&quot; =&gt; &quot;uP6cf00TE5HUvfdEmI6PR01vXQgZEjydC3&quot;, &quot;referrer&quot; =&gt; %{&quot;allow_no_referrer&quot; =&gt; true, &quot;allowed_domains&quot; =&gt; [&quot;*.example.com&quot;]}, &quot;updated_at&quot; =&gt; &quot;1653174155&quot;}","ref":"Mux.Video.PlaybackRestrictions.html#get/3","title":"Mux.Video.PlaybackRestrictions.get/3","type":"function"},{"doc":"List playback restrictions. Returns a tuple such as {:ok, playback_restrictions, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, playback_restrictions, _env} = Mux.Video.PlaybackRestrictions.list(client) iex&gt; playback_restrictions [%{&quot;created_at&quot; =&gt; &quot;1653174155&quot;, &quot;id&quot; =&gt; &quot;uP6cf00TE5HUvfdEmI6PR01vXQgZEjydC3&quot;, &quot;referrer&quot; =&gt; %{&quot;allow_no_referrer&quot; =&gt; true, &quot;allowed_domains&quot; =&gt; [&quot;*.example.com&quot;]}, &quot;updated_at&quot; =&gt; &quot;1653174155&quot;}, %{&quot;created_at&quot; =&gt; &quot;1653174155&quot;, &quot;id&quot; =&gt; &quot;uP6cf00TE5HUvfdEmI6PR01vXQgZEjydC3&quot;, &quot;referrer&quot; =&gt; %{&quot;allow_no_referrer&quot; =&gt; true, &quot;allowed_domains&quot; =&gt; [&quot;*.example.com&quot;]}, &quot;updated_at&quot; =&gt; &quot;1653174155&quot;}]","ref":"Mux.Video.PlaybackRestrictions.html#list/2","title":"Mux.Video.PlaybackRestrictions.list/2","type":"function"},{"doc":"Updates the referrer domain restriction for a playback restriction Returns a tuple such as {:ok, playback_restriction, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, playback_restriction, _env} = Mux.Video.PlaybackRestrictions.update_referrer_domain_restriction(client, &quot;uP6cf00TE5HUvfdEmI6PR01vXQgZEjydC3&quot;, %{allowed_domains: [&quot;*.example.com&quot;], allow_no_referrer: true}) iex&gt; playback_restriction %{&quot;created_at&quot; =&gt; &quot;1653174155&quot;, &quot;id&quot; =&gt; &quot;uP6cf00TE5HUvfdEmI6PR01vXQgZEjydC3&quot;, &quot;referrer&quot; =&gt; %{&quot;allow_no_referrer&quot; =&gt; true, &quot;allowed_domains&quot; =&gt; [&quot;*.example.com&quot;]}, &quot;updated_at&quot; =&gt; &quot;1653174155&quot;}","ref":"Mux.Video.PlaybackRestrictions.html#update_referrer_domain_restriction/3","title":"Mux.Video.PlaybackRestrictions.update_referrer_domain_restriction/3","type":"function"},{"doc":"This module provides functions for managing signing keys in Mux Video. API Documentation","ref":"Mux.Video.SigningKeys.html","title":"Mux.Video.SigningKeys","type":"module"},{"doc":"Create a new signing key. Returns {:ok, signing_key, %Tesla.Client{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; Mux.Video.SigningKeys.create(client) {:ok, %{&quot;created_at&quot; =&gt; &quot;1540438441&quot;, &quot;id&quot; =&gt; &quot;3kXq01SS00BQZqHHIq1egKAhuf7urAc400C&quot;, &quot;private_key&quot; =&gt; &quot;thisisaverysecretkeythatinreallifewouldbealotlonger==&quot;}, %Tesla.Env{method: nil, url: &quot;&quot;, query: [], headers: [], body: %{&quot;data&quot; =&gt; %{&quot;created_at&quot; =&gt; &quot;1540438441&quot;, &quot;id&quot; =&gt; &quot;3kXq01SS00BQZqHHIq1egKAhuf7urAc400C&quot;, &quot;private_key&quot; =&gt; &quot;thisisaverysecretkeythatinreallifewouldbealotlonger==&quot;}}, status: 201, opts: [], __module__: nil, __client__: nil}}","ref":"Mux.Video.SigningKeys.html#create/1","title":"Mux.Video.SigningKeys.create/1","type":"function"},{"doc":"Delete a signing key. Returns a tuple such as {:ok, &quot;&quot;, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, &quot;&quot;, _env} = Mux.Video.SigningKeys.delete(client, &quot;3kXq01SS00BQZqHHIq1egKAhuf7urAc400C&quot;) iex&gt; status :ok","ref":"Mux.Video.SigningKeys.html#delete/3","title":"Mux.Video.SigningKeys.delete/3","type":"function"},{"doc":"Retrieve a signing key by ID. Returns a tuple such as {:ok, signing_key, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, signing_key, _env} = Mux.Video.SigningKeys.get(client, &quot;3kXq01SS00BQZqHHIq1egKAhuf7urAc400C&quot;) iex&gt; signing_key %{&quot;created_at&quot; =&gt; &quot;1540438441&quot;, &quot;id&quot; =&gt; &quot;3kXq01SS00BQZqHHIq1egKAhuf7urAc400C&quot;}","ref":"Mux.Video.SigningKeys.html#get/3","title":"Mux.Video.SigningKeys.get/3","type":"function"},{"doc":"List signing keys. Returns a tuple such as {:ok, signing_keys, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, signing_keys, _env} = Mux.Video.SigningKeys.list(client) iex&gt; signing_keys [%{&quot;created_at&quot; =&gt; &quot;1540438441&quot;, &quot;id&quot; =&gt; &quot;3kXq01SS00BQZqHHIq1egKAhuf7urAc400C&quot;}, %{&quot;created_at&quot; =&gt; &quot;1540438441&quot;, &quot;id&quot; =&gt; &quot;3kXq01SS00BQZqHHIq1egKAhuf7urAc400C&quot;}]","ref":"Mux.Video.SigningKeys.html#list/2","title":"Mux.Video.SigningKeys.list/2","type":"function"},{"doc":"This module provides functions for managing Spaces in Mux Video. API Documentation","ref":"Mux.Video.Spaces.html","title":"Mux.Video.Spaces","type":"module"},{"doc":"Create a new space. Returns {:ok, space, %Tesla.Client{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, space, _env} = Mux.Video.Spaces.create(client, %{type: &quot;server&quot;, passthrough: &quot;example&quot;, broadcasts: [%{passthrough: &quot;example&quot;, live_stream_id: &quot;vJvFbCojkuSDAAeEK4EddOA01wRqN1mP4&quot;, layout: &quot;gallery&quot;, background: &quot;https://example.com/background.jpg&quot;, resolution: &quot;1920x1080&quot;}]}) iex&gt; space %{&quot;broadcasts&quot; =&gt; [%{&quot;background&quot; =&gt; &quot;https://example.com/background.jpg&quot;, &quot;id&quot; =&gt; &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;, &quot;layout&quot; =&gt; &quot;gallery&quot;, &quot;live_stream_id&quot; =&gt; &quot;vJvFbCojkuSDAAeEK4EddOA01wRqN1mP4&quot;, &quot;resolution&quot; =&gt; &quot;1920x1080&quot;, &quot;status&quot; =&gt; &quot;idle&quot;}], &quot;created_at&quot; =&gt; &quot;1653342466&quot;, &quot;id&quot; =&gt; &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;, &quot;passthrough&quot; =&gt; &quot;example&quot;, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;type&quot; =&gt; &quot;server&quot;}","ref":"Mux.Video.Spaces.html#create/2","title":"Mux.Video.Spaces.create/2","type":"function"},{"doc":"Create a new space broadcast. Returns a tuple such as {:ok, broadcast, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, broadcast, _env} = Mux.Video.Spaces.create_space_broadcast(client, &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;, %{passthrough: &quot;example&quot;, live_stream_id: &quot;vJvFbCojkuSDAAeEK4EddOA01wRqN1mP4&quot;, layout: &quot;gallery&quot;, background: &quot;https://example.com/background.jpg&quot;, resolution: &quot;1920x1080&quot;}) iex&gt; broadcast %{&quot;background&quot; =&gt; &quot;https://example.com/background.jpg&quot;, &quot;id&quot; =&gt; &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;, &quot;layout&quot; =&gt; &quot;gallery&quot;, &quot;live_stream_id&quot; =&gt; &quot;vJvFbCojkuSDAAeEK4EddOA01wRqN1mP4&quot;, &quot;resolution&quot; =&gt; &quot;1920x1080&quot;, &quot;status&quot; =&gt; &quot;idle&quot;}","ref":"Mux.Video.Spaces.html#create_space_broadcast/3","title":"Mux.Video.Spaces.create_space_broadcast/3","type":"function"},{"doc":"Delete a space. Returns a tuple such as {:ok, &quot;&quot;, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, &quot;&quot;, _env} = Mux.Video.Spaces.delete(client, &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;) iex&gt; status :ok","ref":"Mux.Video.Spaces.html#delete/3","title":"Mux.Video.Spaces.delete/3","type":"function"},{"doc":"Delete a space broadcast. Returns a tuple such as {:ok, &quot;&quot;, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, &quot;&quot;, _env} = Mux.Video.Spaces.delete_space_broadcast(client, &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;, &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;) iex&gt; status :ok","ref":"Mux.Video.Spaces.html#delete_space_broadcast/4","title":"Mux.Video.Spaces.delete_space_broadcast/4","type":"function"},{"doc":"Retrieve a space by ID. Returns a tuple such as {:ok, space, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, space, _env} = Mux.Video.Spaces.get(client, &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;) iex&gt; space %{&quot;broadcasts&quot; =&gt; [%{&quot;background&quot; =&gt; &quot;https://example.com/background.jpg&quot;, &quot;id&quot; =&gt; &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;, &quot;layout&quot; =&gt; &quot;gallery&quot;, &quot;live_stream_id&quot; =&gt; &quot;vJvFbCojkuSDAAeEK4EddOA01wRqN1mP4&quot;, &quot;resolution&quot; =&gt; &quot;1920x1080&quot;, &quot;status&quot; =&gt; &quot;idle&quot;}], &quot;created_at&quot; =&gt; &quot;1653342466&quot;, &quot;id&quot; =&gt; &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;, &quot;passthrough&quot; =&gt; &quot;example&quot;, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;type&quot; =&gt; &quot;server&quot;}","ref":"Mux.Video.Spaces.html#get/3","title":"Mux.Video.Spaces.get/3","type":"function"},{"doc":"Retrieve a space broadcast. Returns a tuple such as {:ok, broadcast, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, broadcast, _env} = Mux.Video.Spaces.get_space_broadcast(client, &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;, &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;) iex&gt; broadcast %{&quot;background&quot; =&gt; &quot;https://example.com/background.jpg&quot;, &quot;id&quot; =&gt; &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;, &quot;layout&quot; =&gt; &quot;gallery&quot;, &quot;live_stream_id&quot; =&gt; &quot;vJvFbCojkuSDAAeEK4EddOA01wRqN1mP4&quot;, &quot;resolution&quot; =&gt; &quot;1920x1080&quot;, &quot;status&quot; =&gt; &quot;idle&quot;}","ref":"Mux.Video.Spaces.html#get_space_broadcast/4","title":"Mux.Video.Spaces.get_space_broadcast/4","type":"function"},{"doc":"List spaces. Returns a tuple such as {:ok, spaces, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, spaces, _env} = Mux.Video.Spaces.list(client) iex&gt; spaces [%{&quot;broadcasts&quot; =&gt; [%{&quot;background&quot; =&gt; &quot;https://example.com/background.jpg&quot;, &quot;id&quot; =&gt; &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;, &quot;layout&quot; =&gt; &quot;gallery&quot;, &quot;live_stream_id&quot; =&gt; &quot;vJvFbCojkuSDAAeEK4EddOA01wRqN1mP4&quot;, &quot;resolution&quot; =&gt; &quot;1920x1080&quot;, &quot;status&quot; =&gt; &quot;idle&quot;}], &quot;created_at&quot; =&gt; &quot;1653342466&quot;, &quot;id&quot; =&gt; &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;, &quot;passthrough&quot; =&gt; &quot;example&quot;, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;type&quot; =&gt; &quot;server&quot;}, %{&quot;broadcasts&quot; =&gt; [%{&quot;background&quot; =&gt; &quot;https://example.com/background.jpg&quot;, &quot;id&quot; =&gt; &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;, &quot;layout&quot; =&gt; &quot;gallery&quot;, &quot;live_stream_id&quot; =&gt; &quot;vJvFbCojkuSDAAeEK4EddOA01wRqN1mP4&quot;, &quot;resolution&quot; =&gt; &quot;1920x1080&quot;, &quot;status&quot; =&gt; &quot;idle&quot;}], &quot;created_at&quot; =&gt; &quot;1653342466&quot;, &quot;id&quot; =&gt; &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;, &quot;passthrough&quot; =&gt; &quot;example&quot;, &quot;status&quot; =&gt; &quot;idle&quot;, &quot;type&quot; =&gt; &quot;server&quot;}]","ref":"Mux.Video.Spaces.html#list/2","title":"Mux.Video.Spaces.list/2","type":"function"},{"doc":"Start a space broadcast. Returns a tuple such as {:ok, %{}, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, %{}, _env} = Mux.Video.Spaces.start_space_broadcast(client, &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;, &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;) iex&gt; status :ok","ref":"Mux.Video.Spaces.html#start_space_broadcast/3","title":"Mux.Video.Spaces.start_space_broadcast/3","type":"function"},{"doc":"Stop a space broadcast. Returns a tuple such as {:ok, %{}, %Tesla.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, %{}, _env} = Mux.Video.Spaces.stop_space_broadcast(client, &quot;xe00FkgJMdZrYQ001VC53bd01lf9ADs6YWk&quot;, &quot;fZw6qjWmKLmjfi0200NBzsgGrXZImT3KiJ&quot;) iex&gt; status :ok","ref":"Mux.Video.Spaces.html#stop_space_broadcast/3","title":"Mux.Video.Spaces.stop_space_broadcast/3","type":"function"},{"doc":"This module provides functions around managing tracks in Mux Video. Tracks are used for subtitles/captions. API Documentation.","ref":"Mux.Video.Tracks.html","title":"Mux.Video.Tracks","type":"module"},{"doc":"Create a new asset track. API Documentation Returns {:ok, track, raw_env}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, track, _env} = Mux.Video.Tracks.create(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, %{url: &quot;https://example.com/myVideo_en.srt&quot;, type: &quot;text&quot;, text_type: &quot;subtitles&quot;, language_code: &quot;en&quot; }) iex&gt; track %{&quot;id&quot; =&gt; &quot;2&quot;, &quot;language_code&quot; =&gt; &quot;en&quot;, &quot;name&quot; =&gt; &quot;English&quot;, &quot;passthrough&quot; =&gt; &quot;English&quot;, &quot;status&quot; =&gt; &quot;preparing&quot;, &quot;text_type&quot; =&gt; &quot;subtitles&quot;, &quot;type&quot; =&gt; &quot;text&quot;}","ref":"Mux.Video.Tracks.html#create/3","title":"Mux.Video.Tracks.create/3","type":"function"},{"doc":"Delete an asset track. API Documentation Returns {:ok, &quot;&quot;, raw_env}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, &quot;&quot;, _env} = Mux.Video.Tracks.delete(client, &quot;00ecNLnqiG8v00TLqqeZ00uCE5wCAaO3kKc&quot;, &quot;FRDDXsjcNgD013rx1M4CDunZ86xkq8A02hfF3b6XAa7iE&quot;) iex&gt; status :ok","ref":"Mux.Video.Tracks.html#delete/3","title":"Mux.Video.Tracks.delete/3","type":"function"},{"doc":"This module provides functions around managing transcription vocabularies in Mux Video. Transcription vocabularies allow you to provide collections of phrases like proper nouns, technical jargon, and uncommon words as part of captioning workflows. API Documentation.","ref":"Mux.Video.TranscriptionVocabularies.html","title":"Mux.Video.TranscriptionVocabularies","type":"module"},{"doc":"Create a new transcription vocabulary. API Documentation Returns {:ok, transcription_vocabulary, raw_env}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, transcription_vocabulary, _env} = Mux.Video.TranscriptionVocabularies.create(client, %{name: &quot;API Vocabulary&quot;, phrases: [&quot;Mux&quot;, &quot;Live Stream&quot;, &quot;Playback ID&quot;]}) iex&gt; transcription_vocabulary %{&quot;created_at&quot; =&gt; &quot;1657242248&quot;, &quot;id&quot; =&gt; &quot;ANZLqMO4E01TQW01SyFJfrdZzvjMVuyYqE&quot;, &quot;name&quot; =&gt; &quot;API Vocabulary&quot;, &quot;phrases&quot; =&gt; [&quot;Mux&quot;, &quot;Live Stream&quot;, &quot;Playback ID&quot;], &quot;updated_at&quot; =&gt; &quot;1657242248&quot;}","ref":"Mux.Video.TranscriptionVocabularies.html#create/2","title":"Mux.Video.TranscriptionVocabularies.create/2","type":"function"},{"doc":"Delete a transcription vocabulary. API Documentation Returns {:ok, &quot;&quot;, raw_env}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {status, &quot;&quot;, _env} = Mux.Video.TranscriptionVocabularies.delete(client, &quot;RjFsousKxDrwqqGtwuLIAzrmtCb016fTK&quot;) iex&gt; status :ok","ref":"Mux.Video.TranscriptionVocabularies.html#delete/2","title":"Mux.Video.TranscriptionVocabularies.delete/2","type":"function"},{"doc":"Retrieve a transcription vocabulary by ID. API Documentation Returns a tuple such as {:ok, transcription_vocabulary, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, transcription_vocabulary, _env} = Mux.Video.TranscriptionVocabularies.get(client, &quot;RjFsousKxDrwqqGtwuLIAzrmtCb016fTK&quot;) iex&gt; transcription_vocabulary %{&quot;created_at&quot; =&gt; &quot;1657242248&quot;, &quot;id&quot; =&gt; &quot;ANZLqMO4E01TQW01SyFJfrdZzvjMVuyYqE&quot;, &quot;name&quot; =&gt; &quot;API Vocabulary&quot;, &quot;phrases&quot; =&gt; [&quot;Mux&quot;, &quot;Live Stream&quot;, &quot;Playback ID&quot;], &quot;updated_at&quot; =&gt; &quot;1657242248&quot;}","ref":"Mux.Video.TranscriptionVocabularies.html#get/3","title":"Mux.Video.TranscriptionVocabularies.get/3","type":"function"},{"doc":"List transcription vocabularies. API Documentation Returns a tuple such as {:ok, transcription_vocabularies, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, transcription_vocabularies, _env} = Mux.Video.TranscriptionVocabularies.list(client) iex&gt; transcription_vocabularies [%{&quot;created_at&quot; =&gt; &quot;1657242248&quot;, &quot;id&quot; =&gt; &quot;ANZLqMO4E01TQW01SyFJfrdZzvjMVuyYqE&quot;, &quot;name&quot; =&gt; &quot;API Vocabulary&quot;, &quot;phrases&quot; =&gt; [&quot;Mux&quot;, &quot;Live Stream&quot;, &quot;Playback ID&quot;], &quot;updated_at&quot; =&gt; &quot;1657242248&quot;}, %{&quot;created_at&quot; =&gt; &quot;1657242248&quot;, &quot;id&quot; =&gt; &quot;ANZLqMO4E01TQW01SyFJfrdZzvjMVuyYqE&quot;, &quot;name&quot; =&gt; &quot;New API Vocabulary&quot;, &quot;phrases&quot; =&gt; [&quot;Mux&quot;, &quot;Live Stream&quot;, &quot;Playback ID&quot;, &quot;New phrase&quot;], &quot;updated_at&quot; =&gt; &quot;1657242420&quot;}]","ref":"Mux.Video.TranscriptionVocabularies.html#list/2","title":"Mux.Video.TranscriptionVocabularies.list/2","type":"function"},{"doc":"Updates a transcription vocabulary Returns a tuple such as `{:ok, transcription_vocabulary, %Tesla.Env{}} ## Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, transcription_vocabulary, _env} = Mux.Video.TranscriptionVocabularies.update(client, &quot;ANZLqMO4E01TQW01SyFJfrdZzvjMVuyYqE&quot;, %{name: &quot;New API Vocabulary&quot;, phrases: [&quot;Mux&quot;, &quot;Live Stream&quot;, &quot;Playback ID&quot;, &quot;New phrase&quot;]}) iex&gt; transcription_vocabulary %{&quot;created_at&quot; =&gt; &quot;1657242248&quot;, &quot;id&quot; =&gt; &quot;ANZLqMO4E01TQW01SyFJfrdZzvjMVuyYqE&quot;, &quot;name&quot; =&gt; &quot;New API Vocabulary&quot;, &quot;phrases&quot; =&gt; [&quot;Mux&quot;, &quot;Live Stream&quot;, &quot;Playback ID&quot;, &quot;New phrase&quot;], &quot;updated_at&quot; =&gt; &quot;1657242420&quot;}","ref":"Mux.Video.TranscriptionVocabularies.html#update/3","title":"Mux.Video.TranscriptionVocabularies.update/3","type":"function"},{"doc":"This module provides functions for managing direct uploads in Mux Video. API Documentation","ref":"Mux.Video.Uploads.html","title":"Mux.Video.Uploads","type":"module"},{"doc":"Cancel a direct upload. Returns a tuple such as {:ok, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, direct_upload, _env} = Mux.Video.Uploads.cancel(client, &quot;OOTbA00CpWh6OgwV3asF00IvD2STk22UXM&quot;) iex&gt; direct_upload %{&quot;cors_origin&quot; =&gt; &quot;http://localhost:8080&quot;, &quot;id&quot; =&gt; &quot;OOTbA00CpWh6OgwV3asF00IvD2STk22UXM&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;status&quot; =&gt; &quot;cancelled&quot;, &quot;timeout&quot; =&gt; 3600, &quot;url&quot; =&gt; &quot;https://storage.googleapis.com/video-storage-us-east1-uploads/OOTbA00CpWh6OgwV3asF00IvD2STk22UXM?Expires=1545157644&amp;GoogleAccessId=mux-direct-upload%40mux-cloud.iam.gserviceaccount.com&amp;Signature=bloopblop&quot;}","ref":"Mux.Video.Uploads.html#cancel/2","title":"Mux.Video.Uploads.cancel/2","type":"function"},{"doc":"Create a new direct upload. Returns {:ok, upload, %Tesla.Client{}}. Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; params = %{&quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;cors_origin&quot; =&gt; &quot;http://localhost:8080&quot;} iex&gt; Mux.Video.Uploads.create(client, params) {:ok, %{&quot;cors_origin&quot; =&gt; &quot;http://localhost:8080&quot;, &quot;id&quot; =&gt; &quot;OOTbA00CpWh6OgwV3asF00IvD2STk22UXM&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;status&quot; =&gt; &quot;waiting&quot;, &quot;timeout&quot; =&gt; 3600, &quot;url&quot; =&gt; &quot;https://storage.googleapis.com/video-storage-us-east1-uploads/OOTbA00CpWh6OgwV3asF00IvD2STk22UXM?Expires=1545157644&amp;GoogleAccessId=mux-direct-upload%40mux-cloud.iam.gserviceaccount.com&amp;Signature=bloopblop&quot;}, %Tesla.Env{method: nil, url: &quot;&quot;, query: [], headers: [], body: %{&quot;data&quot; =&gt; %{&quot;cors_origin&quot; =&gt; &quot;http://localhost:8080&quot;, &quot;id&quot; =&gt; &quot;OOTbA00CpWh6OgwV3asF00IvD2STk22UXM&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;status&quot; =&gt; &quot;waiting&quot;, &quot;timeout&quot; =&gt; 3600, &quot;url&quot; =&gt; &quot;https://storage.googleapis.com/video-storage-us-east1-uploads/OOTbA00CpWh6OgwV3asF00IvD2STk22UXM?Expires=1545157644&amp;GoogleAccessId=mux-direct-upload%40mux-cloud.iam.gserviceaccount.com&amp;Signature=bloopblop&quot;}}, status: 201, opts: [], __module__: nil, __client__: nil}}","ref":"Mux.Video.Uploads.html#create/2","title":"Mux.Video.Uploads.create/2","type":"function"},{"doc":"Retrieve a direct upload by ID. Returns a tuple such as {:ok, upload, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, upload, _env} = Mux.Video.Uploads.get(client, &quot;OOTbA00CpWh6OgwV3asF00IvD2STk22UXM&quot;) iex&gt; upload %{&quot;cors_origin&quot; =&gt; &quot;http://localhost:8080&quot;, &quot;id&quot; =&gt; &quot;OOTbA00CpWh6OgwV3asF00IvD2STk22UXM&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;status&quot; =&gt; &quot;waiting&quot;, &quot;timeout&quot; =&gt; 3600, &quot;url&quot; =&gt; &quot;https://storage.googleapis.com/video-storage-us-east1-uploads/OOTbA00CpWh6OgwV3asF00IvD2STk22UXM?Expires=1545157644&amp;GoogleAccessId=mux-direct-upload%40mux-cloud.iam.gserviceaccount.com&amp;Signature=bloopblop&quot;}","ref":"Mux.Video.Uploads.html#get/3","title":"Mux.Video.Uploads.get/3","type":"function"},{"doc":"List direct uploads. Returns a tuple such as {:ok, uploads, %Telsa.Env{}} Examples iex&gt; client = Mux.Base.new(&quot;my_token_id&quot;, &quot;my_token_secret&quot;) iex&gt; {:ok, uploads, _env} = Mux.Video.Uploads.list(client) iex&gt; uploads [%{&quot;cors_origin&quot; =&gt; &quot;http://localhost:8080&quot;, &quot;id&quot; =&gt; &quot;OOTbA00CpWh6OgwV3asF00IvD2STk22UXM&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;status&quot; =&gt; &quot;waiting&quot;, &quot;timeout&quot; =&gt; 3600, &quot;url&quot; =&gt; &quot;https://storage.googleapis.com/video-storage-us-east1-uploads/OOTbA00CpWh6OgwV3asF00IvD2STk22UXM?Expires=1545157644&amp;GoogleAccessId=mux-direct-upload%40mux-cloud.iam.gserviceaccount.com&amp;Signature=bloopblop&quot;}, %{&quot;cors_origin&quot; =&gt; &quot;http://localhost:8080&quot;, &quot;id&quot; =&gt; &quot;OOTbA00CpWh6OgwV3asF00IvD2STk22UXM&quot;, &quot;new_asset_settings&quot; =&gt; %{&quot;playback_policies&quot; =&gt; [&quot;public&quot;]}, &quot;status&quot; =&gt; &quot;waiting&quot;, &quot;timeout&quot; =&gt; 3600, &quot;url&quot; =&gt; &quot;https://storage.googleapis.com/video-storage-us-east1-uploads/OOTbA00CpWh6OgwV3asF00IvD2STk22UXM?Expires=1545157644&amp;GoogleAccessId=mux-direct-upload%40mux-cloud.iam.gserviceaccount.com&amp;Signature=bloopblop&quot;}]","ref":"Mux.Video.Uploads.html#list/2","title":"Mux.Video.Uploads.list/2","type":"function"}]